import * as SC from '../styles'

import { useEffect, useState, type FormEvent } from 'react'

interface Props {
  name: string
  label: string
  type?: string
  value: string | undefined
  socmedIcon?: string
  isEdit: boolean
  handleProfileChange: (event: FormEvent) => void
}

const SocmedInputDefined: React.FC<Props> = ({
  name,
  label,
  type,
  value,
  socmedIcon,
  isEdit,
  handleProfileChange
}) => {
  const [shouldRender, setShouldRender] = useState(false)

  useEffect(() => {
    if (value) {
      setShouldRender(true)
    }
  }, [value])

  return (
    shouldRender && (
      <SC.FieldContainer>
        <SC.FieldLabel>
          <SC.SocmedIcon src={socmedIcon} />
          <SC.SpaceIcon />
          {label}
        </SC.FieldLabel>

        {isEdit ? (
          <SC.FieldValue>
            <SC.TextInput
              name={name}
              type={type}
              value={value}
              placeholder='-'
              onChange={handleProfileChange}
            />
          </SC.FieldValue>
        ) : (
          <SC.SocmedLinkText>{value || ''}</SC.SocmedLinkText>
        )}
      </SC.FieldContainer>
    )
  )
}

export default SocmedInputDefined
