import i18n from 'i18next'
import { initReactI18next } from 'react-i18next'

const resources = {
  en: {
    translation: {
      email: 'Email Address',
      firstName: 'First Name',
      lastName: 'Last Name',
      organization: 'Organization',
      phoneNumber: 'Phone Number',
      changePassword: 'Change Password',
      password: 'Password',
      socialMedia: 'Social Media',
      currentActivePackages: 'Current Active Pacakages',
      quotaPackageUsageHistory: 'Quota Package Usage History',
      account: 'Account',
      buyAgain: 'Buy Again',
      currentPassword: 'Current Password',
      newPassword: 'New Password',
      confirmNewPassword: 'Confirm New Password',
      cancel: 'Cancel',
      save: 'Save',
      passwordIncorrect: 'Password Incorrect',
      changeNumberText: 'Change Number',
      changeNumberTitle: 'Change Number',
      changeNumberDescription:
        'Are you sure want to change\nyour mobile number?',
      changeNumberSuccess:
        'We have sent you an email\nfollow further instructions',
      changeNumberFailed:
        'Request failed, please try again\nor contact tts-support@prosa.ai',
      changeNumberCancel: 'Cancel',
      changeNumberConfirm: 'Yes',
      package: 'Package',
      characters: 'Characters',
      validUntil: 'Valid Until',
      changePasswordText: 'Change Password',
      changePasswordTitle: 'Change Password',
      changePasswordDescription: 'Are you sure want to change\nyour password?',
      changePasswordSuccess:
        'We have sent you an email\nfollow further instructions',
      changePasswordFailed:
        'Request failed, please try again\nor contact tts-support@prosa.ai',
      changePasswordCancel: 'Cancel',
      changePasswordConfirm: 'Yes'
    }
  },
  id: {
    translation: {
      email: 'Alamat Email',
      firstName: 'Nama Depan',
      lastName: 'Nama Belakang',
      organization: 'Organisasi',
      phoneNumber: 'Nomor Ponsel',
      changePassword: 'Ubah Kata Sandi',
      password: 'Kata Sandi',
      socialMedia: 'Media Sosial',
      currentActivePackages: 'Paket Aktif Saat Ini',
      quotaPackageUsageHistory: 'Riwayat Penggunaan Paket Kuota',
      account: 'Akun',
      buyAgain: 'Beli Lagi',
      currentPassword: 'Kata Sandi Saat Ini',
      newPassword: 'Kata Sandi Baru',
      confirmNewPassword: 'Konfirmasi Kata Sandi Baru',
      cancel: 'Batal',
      save: 'Simpan',
      passwordIncorrect: 'Kata Sandi Tidak Sesuai',
      changeNumberText: 'Ubah Nomor',
      changeNumberTitle: 'Ganti Nomor Ponsel',
      changeNumberDescription:
        'Apakah Anda yakin ingin mengubah\nnomor ponsel Anda?',
      changeNumberSuccess:
        'Kami telah mengirimkan email kepada Anda\nikuti instruksi lebih lanjut',
      changeNumberFailed:
        'Permintaan gagal, silakan coba lagi\natau hubungi tts-support@prosa.ai',
      changeNumberCancel: 'Batal',
      changeNumberConfirm: 'Ya',
      package: 'Paket',
      characters: 'Karakter',
      validUntil: 'Berlaku sampai',
      changePasswordText: 'Ubah Password',
      changePasswordTitle: 'Ganti Password',
      changePasswordDescription:
        'Apakah Anda yakin ingin mengubah\npassword Anda?',
      changePasswordSuccess:
        'Kami telah mengirimkan email kepada Anda\nikuti instruksi lebih lanjut',
      changePasswordFailed:
        'Permintaan gagal, silakan coba lagi\natau hubungi tts-support@prosa.ai',
      changePasswordCancel: 'Batal',
      changePasswordConfirm: 'Ya'
    }
  }
}

i18n
  .use(initReactI18next) // Initializes i18next with react-i18next
  .init({
    resources,
    lng: 'id', // Set initial language
    interpolation: {
      escapeValue: false // This ensures React interprets HTML entities correctly
    }
  })

export default i18n
