import styled from '@emotion/styled'

export const Main = styled.div({
  display: 'block',
  width: '100%',
  color: '#fff'
})

export const PaymentList = styled.div({
  backgroundColor: 'rgb(255, 255, 255)',
  borderRadius: '10px',
  padding: '24px',
  boxShadow: '0px 15px 30px -5px rgba(86, 171, 47, 0.15)',
  marginBottom: '20px',
  fontSize: '12px',
  lineHeight: '22px',
  color: '#464646'
})

export const PaymentCard = styled.div({
  backgroundColor: 'rgb(255, 255, 255)',
  borderRadius: '10px',
  padding: '24px',
  boxShadow: '0px 15px 30px -5px rgba(86, 171, 47, 0.15)',
  marginBottom: '20px',
  fontSize: '12px',
  lineHeight: '22px',
  color: '#464646',
  position: 'relative',
  boxSizing: 'border-box',
  display: 'flex',
  flexWrap: 'wrap',
  justifyContent: 'space-between',
  border: '2px solid transparent'
})

export const PaymentInfoContainer = styled.div({
  display: 'flex',
  alignItems: 'flex-start'
})

export const SelectProfileButton = styled.input({
  marginRight: '24px',
  marginTop: '4px',
  cursor: 'pointer'
})

export const PaymentLogoContainer = styled.div({
  width: '80px'
})

export const PaymentLogo = styled.img({
  width: '80px',
  marginTop: '4px'
})

export const PaymentDefault = styled.img({
  width: '48px',
  marginTop: '4px'
})

export const PaymentInfo = styled.div({
  marginLeft: '12px'
})

export const InfoUser = styled.div({
  fontStyle: 'normal',
  fontWeight: '400',
  fontSize: '12px',
  lineHeight: '22px'
})

export const InfoCard = styled.div({
  fontStyle: 'normal',
  fontWeight: '700',
  fontSize: '12px',
  lineHeight: '22px'
})

export const CardTitle = styled.span({
  fontSize: '18px'
})

export const TextDefault = styled.span({
  fontWeight: '500'
})

export const PmPt16 = styled(InfoCard)({
  paddingTop: '16px'
})

export const PaymentBtnDefault = styled.div({
  display: 'flex',
  alignItems: 'flex-end',
  marginTop: '15px'
})

export const BtnDefault = styled.button({
  fontStyle: 'normal',
  fontWeight: '700',
  fontSize: '12px',
  lineHeight: '22px',
  WebkitAlignItems: 'center',
  WebkitBoxAlign: 'center',
  MsFlexAlign: 'center',
  alignItems: 'center',
  WebkitBoxPack: 'center',
  MsFlexPack: 'center',
  WebkitJustifyContent: 'center',
  justifyContent: 'center',
  WebkitTapHighlightColor: 'transparent',
  backgroundColor: 'transparent',
  cursor: 'pointer',
  padding: '6px 28px',
  borderRadius: '5px',
  color: '#56ab2f',
  border: '1px solid #56ab2f',
  letterSpacing: '0.015em',
  minWidth: '120px'
})

export const BtnInactive = styled(BtnDefault)({
  backgroundColor: '#ffffff',
  border: '1px solid #aee581',
  color: '#aee581',
  cursor: 'not-allowed'
})

export const PaymentIllustrationBox = styled.div({
  boxSizing: 'border-box',
  width: '12.5rem',
  height: '12.5rem',
  margin: 'auto',
  paddingTop: '4.07rem',
  backgroundColor: '#eeeeee',
  borderRadius: '10px',
  textAlign: 'center',
  display: 'flex',
  flexDirection: 'column',
  gap: '0.568125rem'
})

export const PaymentIllustrationText = styled.div({
  marginTop: '1.5rem'
})

export const PaymentIllustrationTitle = styled.div({
  fontWeight: '700',
  fontSize: '16px',
  lineHeight: '26px',
  letterSpacing: '0.01em',
  textAlign: 'center',
  color: '#464646'
})

export const PaymentIllustrationDescription = styled.div({
  fontWeight: '400',
  fontSize: '12px',
  lineHeight: '22px',
  letterSpacing: '0.015em',
  textAlign: 'center',
  color: '#7a7a7a'
})
