import { format, parse } from 'date-fns'
import { id } from 'date-fns/locale/id'
import { enUS } from 'date-fns/locale/en-US'

type language = 'id' | 'en'

export function stringDateTime(input: string, language: language) {
  return format(
    parse(input, 'yyyy-MM-dd HH:mm', new Date()),
    'EEEE, dd MMMM yyyy HH:mm',
    { locale: language === 'id' ? id : enUS }
  )
}

export function stringPrice(input: number) {
  return Intl.NumberFormat('id-ID', { style: 'currency', currency: 'IDR' })
    .format(input)
    .replace('Rp', 'IDR')
}
