import { PaymentProfile, PaymentProfileList } from '../components'

export default function PaymentProfileExample() {
  return (
    <>
      <div style={{ backgroundColor: 'white', padding: '32px' }}>
        <h1 style={{ marginBottom: '16px' }}>PAYMENT PROFILE</h1>
        <PaymentProfile
          data={{
            profileName: 'Jewish Bank + 5% Interest',
            cardNumber: '5211111111111117',
            cardHolder: 'Anonymous Governor',
            cardExpiry: '01/27',
            cardCvv: '666'
          }}
          options={{
            submitText: { id: 'Tambah', en: 'Add' },
            cancelText: { id: 'Hapus', en: 'Discard' }
          }}
          onAdd={(data) => {
            alert(JSON.stringify(data))
          }}
          onCancel={() => {}}
        ></PaymentProfile>
      </div>

      <div style={{ backgroundColor: 'white', padding: '32px' }}>
        <h1 style={{ marginBottom: '16px' }}>PAYMENT PROFILE LIST</h1>
        <PaymentProfileList
          options={{
            selectable: true
          }}
          paymentProfiles={[
            {
              id: 1,
              masked_card: '512676*****',
              name: 'Bank Mandiri',
              card_holder: 'Budi',
              expiry: '04/25',
              image: '',
              is_default: false
            },
            {
              id: 2,
              masked_card: '7654443*****',
              name: 'Jewish Bank +5% Interest',
              card_holder: 'Siska',
              expiry: '06/27',
              image: '',
              is_default: true
            },
            {
              id: 3,
              masked_card: '481111*****',
              name: 'Logo is supplied through the attribute',
              card_holder: 'Budi',
              expiry: '04/25',
              image:
                'https://3.bp.blogspot.com/_IGrg3_-oKwE/TQM1mGStcdI/AAAAAAAAAAM/ncY3UCvgxhQ/s1600/bni.png',
              is_default: false
            }
          ]}
          onSelectProfile={(profile) => {
            alert(JSON.stringify(profile))
          }}
          onSetDefault={(profile) => {
            alert(JSON.stringify(profile))
          }}
        ></PaymentProfileList>
      </div>
    </>
  )
}
